body {
    margin: 0;
    background: #020617;
    color: white;
    font-family: Arial;
}

header {
    display: flex;
    gap: 6px;
    align-items: center;
    padding: 8px;
    background: #020617;
    flex-wrap: wrap;
}

header select,
header button {
    padding: 5px;
    font-size: 13px;
}

.logo {
    flex: 1;
    font-weight: bold;
}

.main {
    display: flex;
    height: calc(100vh - 55px);
}

#editor {
    flex: 1;
}

.side {
    width: 320px;
    background: #020617;
    display: flex;
    flex-direction: column;
    padding: 8px;
}

#console {
    flex: 1;
    background: black;
    color: #22c55e;
    border: none;
    padding: 10px;
    resize: none;
    font-family: Consolas, monospace;
}

#error {
    color: #ef4444;
}

#preview {
    flex: 1;
    border: none;
    display: none;
    background: white;
}

/* Mobile */
@media(max-width:768px) {
    .main {
        flex-direction: column;
    }

    .side {
        width: 100%;
        height: 40%;
    }
}

.back-btn {
    background: #1e293b;
    color: white;
    border: none;
    padding: 8px 14px;
    border-radius: 6px;
    cursor: pointer;
    font-size: 14px;
}

.back-btn:hover {
    background: #334155;
}
